import request from '@/config/axios'
// 角色管理-获得角色分页
export const getRolePage = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/role/page',
    params
  })
}

// 角色管理-获得角色精简列表
export const getRolePageSimple = async () => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/role/list-all-simple'
  })
}

// 角色管理-添加角色
export const addRole = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/role/create',
    data
  })
}

// 角色管理-更新角色
export const updateRole = async (data) => {
  return await request.put({
    url: '/app-api/menduner/system/recruit/role/update',
    data
  })
}

// 角色管理-删除角色
export const deleteRole = async (params) => {
  return await request.delete({
    url: '/app-api/menduner/system/recruit/role/delete',
    params
  })
}

// 获取菜单精简信息列表
export const getMenu = async () => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/menu/simple-list'
  })
}

// 获取菜单精简信息列表
export const getRoleMenu = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/permission/list-role-menus',
    params
  })
}

// 角色管理-赋予角色菜单
export const saveRoleMenu = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/permission/assign-role-menu',
    data
  })
}

// 获取数据权限树
export const getDataMenuTree = async () => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/enterprise/get/tree'
  })
}

// 角色管理-赋予角色数据权限
export const saveDataPermission = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/permission/assign-role-data-scope',
    data
  })
}

// 角色管理-获取用户角色编号列表
export const getRoleList = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/permission/list-user-roles',
    params
  })
}

// 角色管理-赋予用户角色
export const saveUserRole = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/permission/assign-user-role',
    data
  })
}



// 获取登录用户的权限信息
export const getPermissionInfo = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/permission/get-permission-info',
    params
  })
}